curl --request GET \
--url https://api.themoviedb.org/3/credit/{credit_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/credit/{credit_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/credit/{credit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_type": "cast",
"department": "Acting",
"id": "52fe4250c3a36847f80149f3",
"job": "Actor",
"media": {
"adult": false,
"backdrop_path": "/hZkgoQYus5vegHoetLkCJzb17zJ.jpg",
"character": "Narrator",
"genre_ids": [
18
],
"id": 550,
"media_type": "movie",
"original_language": "en",
"original_title": "Fight Club",
"overview": "A ticking-time-bomb insomniac and a slippery soap salesman channel primal male aggression into a shocking new form of therapy. Their concept catches on, with underground \"fight clubs\" forming in every town, until an eccentric gets in the way and ignites an out-of-control spiral toward oblivion.",
"popularity": 115.18,
"poster_path": "/pB8BM7pdSp6B6Ih7QZ4DrQ3PmJK.jpg",
"release_date": "1999-10-15",
"title": "Fight Club",
"video": false,
"vote_average": 8.4,
"vote_count": 29575
},
"media_type": "movie",
"person": {
"adult": false,
"gender": 2,
"id": 819,
"known_for_department": "Acting",
"media_type": "person",
"name": "Edward Norton",
"original_name": "Edward Norton",
"popularity": 23.946,
"profile_path": "/8nytsqL59SFJTVYVrN72k6qkGgJ.jpg"
}
}Details
This endpoint is used get a movie or TV credit details by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
""
Response
details
Indicates the type of credit associated with the person in the media—here it is "cast," which means the person is an actor in the production.
"cast"
The department where the person worked; in this case, "Acting" refers to the performing arts section of the production team.
"Acting"
The unique identifier associated with the credit entry itself, which can be referenced separately within the database; here it is a unique string.
"52fe4250c3a36847f80149f3"
Specifies the role of the individual in the department.
"Actor"
Show child attributes
Show child attributes
It refers the type of media involved.
"movie"
Show child attributes
Show child attributes